---
title: substring-after
slug: Web/XPath/Functions/substring-after
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p>The <code>substring-after</code> function returns a string that is the rest of a given string after a given substring.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">substring-after(<em>haystack</em> ,<em>needle</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>haystack</code></em></dt>
 <dd>The string to be evaluated. Part of this string will be returned.</dd>
</dl>

<dl>
 <dt><em><code>needle</code></em></dt>
 <dd>The substring to search for. Everything after the first occurrence of<em><code>needle</code></em> in<em><code>haystack</code></em> will be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string.</p>

<h3 id="Examples">Examples</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th>XPath Example</th>
   <th>Output</th>
  </tr>
  <tr>
   <td><code>substring-after('aa-bb','-')</code></td>
   <td><code>bb</code></td>
  </tr>
  <tr>
   <td><code>substring-after('aa-bb','a')</code></td>
   <td><code>a-bb</code></td>
  </tr>
  <tr>
   <td><code>substring-after('aa-bb','b')</code></td>
   <td><code>b</code></td>
  </tr>
  <tr>
   <td><code>substring-after('aa-bb','q')</code></td>
   <td>(empty string)</td>
  </tr>
 </tbody>
</table>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-substring-after">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
